Bug 64176 - X_CFLAGS in Makefile.am include headers from already install motif
X_CFLAGS in Makefile.am include headers from already install motif
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openmotif (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-04-27 16:02 EDT by Gilles J. Seguin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 16:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff files against openmotif-2.2.2-5.src.rpm (1.36 KB, patch)
2002-04-27 16:15 EDT, Gilles J. Seguin
no flags Details | Diff
diff file (497 bytes, patch)
2002-04-30 14:21 EDT, Gilles J. Seguin
no flags Details | Diff
diff file (485 bytes, patch)
2002-04-30 14:29 EDT, Gilles J. Seguin
no flags Details | Diff

  None (edit)
Description Gilles J. Seguin 2002-04-27 16:02:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-0.4 i586)

Description of problem:
in tools/wml
gcc -DHAVE_CONFIG_H -I. -I. -I../../include -I/usr/X11R6/include -I./../../lib
-I./../../include    -O2 -march=i386 -mcpu=i686 -D_FILE_OFFSET_BITS=64 -Wall
-Wno-unused -Wno-comment -c wmldbcreate.c

in previous make command line, the order of -I/usr/X11R6/include and
-I./../../lib must be inverted if we have already the header files
of a Motif package install in /usr/X11R6/include.
where /usr/X11R6/include is the expansion of the X_CFLAGS macro.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install a motif package with Xm headers file in /usr/X11R6/include
  in fact where are the headers of the X Intrinsics
2.rpmbuild will wrongly used thoses header files
3.
	

Actual Results:  Result will depend on the amount of compatibilities of headers
files

Expected Results:  use header file from $(srcdir)/../../lib
instead of the ones detected for X_CFLAGS macro

Additional info:

The file ./tools/wml/Makefile.am needs to be patch.
Makefile.in and Makefile files needs to be regenerated.
Whithout it, rpmbuild may failled in tools/wml depending on
headers compatibility

For consistency, the files below exhibit same behavior
but do not affect successfull rpmbuild
./demos/programs/fileview/Makefile.am
./demos/unsupported/uilsymdump/Makefile.am
Comment 1 Gilles J. Seguin 2002-04-27 16:15:55 EDT
Created attachment 55644 [details]
diff files against openmotif-2.2.2-5.src.rpm
Comment 2 Gilles J. Seguin 2002-04-30 14:09:17 EDT
I have modified the SPECS/openmotif.spec file to include a additional patch
to resolve previous problem(including installed header file).
see attach files(openMotif-2.2.2-x_cflags.patch, openmotif.spec.diff)

A new binary rpm is build. That is, with openmotif-2.1.30-12.i386.rpm
and openmotif-devel-2.1.30-12.i386.rpm packages installed.
The CLI, rpm -Fvh openmotif-2.2.2-5.i386.rpm openmotif-devel-2.2.2-5.i386.rpm
will complain that libXm.so.2 and libMrm.so.2 are required.
We are replacing libXm.so.2 with libXm.so.3 but the new libMrm.so.3
library requires libXm.so.2, the new libUil.so.3 library requires
libXm.so.2 and  libMrm.so.2

A new binary rpm is build, That is, whithout motif install, I have
done rpm -e openmotif openmotif-devel.
We have, a new binary rpm is built even if the install step of
libMrm has fail.

log informations:
/bin/sh ../../libtool --mode=link gcc  -O2 -march=i386 -mcpu=i686
-D_FILE_OFFSET_BITS=64 -Wall -Wno-unused -Wno-comment -version-info 3:1:0 -o
libMrm.la -L/usr/X11R6/lib -rpath /usr/X11R6/lib  MrmIbuffer.lo MrmIentry.lo
MrmIfile.lo MrmIheader.lo MrmIindex.lo MrmIindexw.lo MrmIrid.lo MrmIswap.lo
MrmItop.lo MrmItopw.lo Mrmappl.lo Mrmcontext.lo Mrmerror.lo Mrmhier.lo
Mrmicon.lo Mrminit.lo Mrmlread.lo Mrmlwrite.lo Mrmmodule.lo Mrmos.lo
Mrmptrlist.lo Mrmtable.lo Mrmtime.lo Mrmvm.lo Mrmwci.lo Mrmwcrw.lo Mrmwcrwr.lo
Mrmwread.lo Mrmwrefs.lo Mrmwvalues.lo Mrmwwrite.lo MrmMessages.lo ../Xm/libXm.la
-L/usr/X11R6/lib -lXt -lSM -lICE -lX11
rm -fr .libs/libMrm.la .libs/libMrm.* .libs/libMrm.*
gcc -shared  MrmIbuffer.lo MrmIentry.lo MrmIfile.lo MrmIheader.lo MrmIindex.lo
MrmIindexw.lo MrmIrid.lo MrmIswap.lo MrmItop.lo MrmItopw.lo Mrmappl.lo
Mrmcontext.lo Mrmerror.lo Mrmhier.lo Mrmicon.lo Mrminit.lo Mrmlread.lo
Mrmlwrite.lo Mrmmodule.lo Mrmos.lo Mrmptrlist.lo Mrmtable.lo Mrmtime.lo Mrmvm.lo
Mrmwci.lo Mrmwcrw.lo Mrmwcrwr.lo Mrmwread.lo Mrmwrefs.lo Mrmwvalues.lo
Mrmwwrite.lo MrmMessages.lo  -Wl,--rpath
-Wl,/usr/src/redhat/BUILD/openMotif-2.2.2/lib/Xm/.libs -Wl,--rpath
-Wl,/usr/X11R6/lib  -L/usr/X11R6/lib ../Xm/.libs/libXm.so -lXt -lSM -lICE
-lX11   -Wl,-soname -Wl,libMrm.so.3 -o .libs/libMrm.so.3.0.1
(cd .libs && rm -f libMrm.so.3 && ln -s libMrm.so.3.0.1 libMrm.so.3)
(cd .libs && rm -f libMrm.so && ln -s libMrm.so.3.0.1 libMrm.so)

[...]
libtool: install: warning: relinking `libMrm.la'
cd /usr/src/redhat/BUILD/openMotif-2.2.2/lib/Mrm; /bin/sh ../../libtool
--mode=relink gcc -O2 -march=i386 -mcpu=i686 -D_FILE_OFFSET_BITS=64 -Wall
-Wno-unused -Wno-comment -version-info 3:1:0 -o libMrm.la -L/usr/X11R6/lib
-rpath /usr/X11R6/lib MrmIbuffer.lo MrmIentry.lo MrmIfile.lo MrmIheader.lo
MrmIindex.lo MrmIindexw.lo MrmIrid.lo MrmIswap.lo MrmItop.lo MrmItopw.lo
Mrmappl.lo Mrmcontext.lo Mrmerror.lo Mrmhier.lo Mrmicon.lo Mrminit.lo
Mrmlread.lo Mrmlwrite.lo Mrmmodule.lo Mrmos.lo Mrmptrlist.lo Mrmtable.lo
Mrmtime.lo Mrmvm.lo Mrmwci.lo Mrmwcrw.lo Mrmwcrwr.lo Mrmwread.lo Mrmwrefs.lo
Mrmwvalues.lo Mrmwwrite.lo MrmMessages.lo ../Xm/libXm.la -L/usr/X11R6/lib -lXt
-lSM -lICE -lX11
gcc -shared  MrmIbuffer.lo MrmIentry.lo MrmIfile.lo MrmIheader.lo MrmIindex.lo
MrmIindexw.lo MrmIrid.lo MrmIswap.lo MrmItop.lo MrmItopw.lo Mrmappl.lo
Mrmcontext.lo Mrmerror.lo Mrmhier.lo Mrmicon.lo Mrminit.lo Mrmlread.lo
Mrmlwrite.lo Mrmmodule.lo Mrmos.lo Mrmptrlist.lo Mrmtable.lo Mrmtime.lo Mrmvm.lo
Mrmwci.lo Mrmwcrw.lo Mrmwcrwr.lo Mrmwread.lo Mrmwrefs.lo Mrmwvalues.lo
Mrmwwrite.lo MrmMessages.lo  -Wl,--rpath -Wl,/usr/X11R6/lib  -L/usr/X11R6/lib
-lXm -lXt -lSM -lICE -lX11   -Wl,-soname -Wl,libMrm.so.3 -o
.libs/libMrm.so.3.0.1
/usr/bin/ld: cannot find -lXm
collect2: ld returned 1 exit status
libtool: install: error: relink `libMrm.la' with the above command before
installing it
libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib'
[...]
make[3]: Entering directory
`/usr/src/redhat/BUILD/openMotif-2.2.2/clients/xmbind'
/bin/sh ../../mkinstalldirs /var/tmp/openmotif-2.2.2-root/usr/X11R6/bin
mkdir /var/tmp/openmotif-2.2.2-root/usr/X11R6/bin
 /bin/sh ../../libtool  --mode=install /usr/bin/install -c  xmbind
/var/tmp/openmotif-2.2.2-root/usr/X11R6/bin/xmbind
libtool: install: warning: `../../lib/Xm/libXm.la' has not been installed in
`/usr/X11R6/lib'
/usr/bin/install -c .libs/xmbind
/var/tmp/openmotif-2.2.2-root/usr/X11R6/bin/xmbind
[...]
make[3]: Entering directory `/usr/src/redhat/BUILD/openMotif-2.2.2/clients/uil'
/bin/sh ../../mkinstalldirs /var/tmp/openmotif-2.2.2-root/usr/X11R6/lib
/bin/sh ../../libtool  --mode=install /usr/bin/install -c libUil.la
/var/tmp/openmotif-2.2.2-root/usr/X11R6/lib/libUil.la
libtool: install: warning: relinking `libUil.la'
cd /usr/src/redhat/BUILD/openMotif-2.2.2/clients/uil; /bin/sh ../../libtool
--mode=relink gcc -O2 -march=i386 -mcpu=i686 -D_FILE_OFFSET_BITS=64 -Wall
-Wno-unused -Wno-comment -version-info 3:1:0 -o libUil.la -L/usr/X11R6/lib
-rpath /usr/X11R6/lib UilCmd.lo UilDiags.lo UilKeyTab.lo UilLexAna.lo
UilLexPars.lo UilLstLst.lo UilP2Out.lo UilP2Reslv.lo UilSarComp.lo UilSarExp.lo
UilSarInc.lo UilSarMod.lo UilSarObj.lo UilSarProc.lo UilSarVal.lo UilSrcSrc.lo
UilSymNam.lo UilSymStor.lo UilData.lo UilLstMac.lo UilSemVal.lo UilSemCSet.lo
UilDB.lo UilParser.lo ../../lib/Mrm/libMrm.la ../../lib/Xm/libXm.la
gcc -shared  UilCmd.lo UilDiags.lo UilKeyTab.lo UilLexAna.lo UilLexPars.lo
UilLstLst.lo UilP2Out.lo UilP2Reslv.lo UilSarComp.lo UilSarExp.lo UilSarInc.lo
UilSarMod.lo UilSarObj.lo UilSarProc.lo UilSarVal.lo UilSrcSrc.lo UilSymNam.lo
UilSymStor.lo UilData.lo UilLstMac.lo UilSemVal.lo UilSemCSet.lo UilDB.lo
UilParser.lo  -Wl,--rpath -Wl,/usr/X11R6/lib 
-L/usr/src/redhat/BUILD/openMotif-2.2.2/lib/Xm/.libs -L/usr/X11R6/lib -lMrm
-lXm    -Wl,-soname -Wl,libUil.so.3 -o .libs/libUil.so.3.0.1
/usr/bin/ld: cannot find -lMrm
collect2: ld returned 1 exit status
libtool: install: error: relink `libUil.la' with the above command before
installing it
libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib'
/bin/sh ../../mkinstalldirs /var/tmp/openmotif-2.2.2-root/usr/X11R6/bin
 /bin/sh ../../libtool  --mode=install /usr/bin/install -c  uil
/var/tmp/openmotif-2.2.2-root/usr/X11R6/bin/uil
libtool: install: warning: `../../lib/Mrm/libMrm.la' has not been installed in
`/usr/X11R6/lib'
libtool: install: warning:
`/usr/src/redhat/BUILD/openMotif-2.2.2/lib/Xm/libXm.la' has not been installed
in `/usr/X11R6/lib'
libtool: install: warning: `../../lib/Xm/libXm.la' has not been installed in
`/usr/X11R6/lib'
[...]
Processing files: openmotif-2.2.2-5
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.69931
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd openMotif-2.2.2
+ DOCDIR=/var/tmp/openmotif-2.2.2-root/usr/share/doc/openmotif-2.2.2
+ export DOCDIR
+ rm -rf /var/tmp/openmotif-2.2.2-root/usr/share/doc/openmotif-2.2.2
+ /bin/mkdir -p /var/tmp/openmotif-2.2.2-root/usr/share/doc/openmotif-2.2.2
+ cp -pr COPYRIGHT.MOTIF README RELEASE RELNOTES
/var/tmp/openmotif-2.2.2-root/usr/share/doc/openmotif-2.2.2
+ exit 0
Finding  Provides: (using /usr/lib/rpm/find-provides)...
stty: standard input: Invalid argument
Finding  Requires: (using /usr/lib/rpm/find-requires)...
stty: standard input: Invalid argument
Provides: libXm.so.3
PreReq: /sbin/ldconfig /sbin/ldconfig rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /sbin/ldconfig /sbin/ldconfig
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: ld-linux.so.2 libc.so.6 libdl.so.2 libICE.so.6 libSM.so.6 libX11.so.6
libXext.so.6 libXm.so.3 libXmu.so.6 libXp.so.6 libXt.so.6 /bin/sh
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.2)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2)
Conflicts: lesstif <= 0.92.32-6
Processing files: openmotif-devel-2.2.2-5
Finding  Provides: (using /usr/lib/rpm/find-provides)...
stty: standard input: Invalid argument
Finding  Requires: (using /usr/lib/rpm/find-requires)...
stty: standard input: Invalid argument
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <=
3.0.4-1
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: ld-linux.so.2 libc.so.6 libdl.so.2 libICE.so.6 libMrm.so.3 libSM.so.6
libX11.so.6 libXext.so.6 libXm.so.3 libXmu.so.6 libXp.so.6 libXt.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.2)
libc.so.6(GLIBC_2.2)
Conflicts: lesstif-devel <= 0.92.32-6
Wrote: /usr/src/redhat/RPMS/i386/openmotif-2.2.2-5.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/openmotif-devel-2.2.2-5.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.44310
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd openMotif-2.2.2
+ rm -rf /var/tmp/openmotif-2.2.2-root
+ exit 0

Comment 3 Gilles J. Seguin 2002-04-30 14:21:21 EDT
Created attachment 55905 [details]
diff file
Comment 4 Gilles J. Seguin 2002-04-30 14:29:34 EDT
Created attachment 55906 [details]
diff file
Comment 5 Ngo Than 2002-06-25 15:53:36 EDT
it's now fixed in 2.2.2-9. Thanks for your patch file.

Note You need to log in before you can comment on or make changes to this bug.